import React from 'react';
import { DevCycleNextOptions, DevCycleServerData } from '../../common/types';
export type DevCycleClientContext = {
    serverDataPromise: Promise<DevCycleServerData>;
    serverData?: DevCycleServerData;
    sdkKey: string;
    options: DevCycleNextOptions;
    enableStreaming: boolean;
    userAgent?: string;
};
type DevCycleClientsideProviderProps = {
    context: DevCycleClientContext;
    promiseResolved: boolean;
    children: React.ReactNode;
};
/**
 * Component which renders nothing, but runs code to keep client state in sync with server
 * Also waits for the server's data promise with the `use` hook. This triggers the nearest suspense boundary,
 * so this component is being rendered inside of a Suspense by the DevCycleClientsideProvider.
 * @param serverDataPromise
 * @param userAgent
 * @constructor
 */
export declare const SuspendedProviderInitialization: ({ serverDataPromise, userAgent, }: Pick<DevCycleClientContext, 'serverDataPromise' | 'userAgent'>) => React.ReactElement;
export declare const InternalDevCycleClientsideProvider: ({ context, children, promiseResolved, }: DevCycleClientsideProviderProps) => React.ReactElement;
export {};
