import 'server-only';
import { getVariableValue } from './getVariableValue';
import { DevCycleUser } from '@devcycle/js-client-sdk';
import { getAllVariables } from './getAllVariables';
import { getAllFeatures } from './allFeatures';
import { DevCycleNextOptions } from '../common/types';
type ServerUser = Omit<DevCycleUser, 'user_id' | 'isAnonymous'> & {
    user_id: string;
};
export declare const setupDevCycle: (sdkKey: string, userGetter: () => Promise<ServerUser> | ServerUser, options?: DevCycleNextOptions) => {
    getVariableValue: typeof getVariableValue;
    getAllVariables: typeof getAllVariables;
    getAllFeatures: typeof getAllFeatures;
    getClientContext: () => {
        serverDataPromise: Promise<import("../common/types").DevCycleServerData>;
        sdkKey: string;
        options: {
            disableAutomaticEventLogging: boolean | undefined;
            disableCustomEventLogging: boolean | undefined;
            disableRealtimeUpdates: boolean | undefined;
            apiProxyURL: string | undefined;
            eventFlushIntervalMS: number | undefined;
            flushEventQueueSize: number | undefined;
        };
        enableStreaming: boolean;
        userAgent: string | undefined;
    };
};
export {};
